Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List tax groups

Lists tax groups (minimal fields) with pagination.

GET/api/v2/{team_slug}/{app_slug}/tax-groups
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Query parameters
pageinteger
per-pageinteger
searchstring
tax-group-idstring[]

Repeatable tax group id

Responses
200

OK

dataTaxGroupBase[]required
Show properties
Array of TaxGroupBase
idUUIDrequired
namestringrequired
slugstringrequired
is_defaultboolean
marketsTaxGroupMarket[] | null
Show properties
Array of TaxGroupMarket
idUUIDrequired
namestring
slugstringrequired
localestring
currency_codestring
activeboolean
country_codesstring[] | null
country_tax_percentagesTaxGroupCountryTaxPercentage[] | null
Show properties
Array of TaxGroupCountryTaxPercentage
idUUIDrequired
country_codestringrequired
tax_percentagenumber<double>required
created_atstring<date-time>
updated_atstring<date-time> | null
created_atstring<date-time>
updated_atstring<date-time> | null
created_atstring<date-time>required
updated_atstring<date-time> | null
total_pagesintegerrequired
total_itemsintegerrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v2/string/string/tax-groups' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "is_default": true,
      "markets": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "name": "string",
          "slug": "string",
          "locale": "string",
          "currency_code": "string",
          "active": true,
          "country_codes": [
            "string"
          ],
          "country_tax_percentages": [
            {
              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
              "country_code": "string",
              "tax_percentage": 0.1,
              "created_at": "2019-08-24T14:15:22Z",
              "updated_at": "2019-08-24T14:15:22Z"
            }
          ],
          "created_at": "2019-08-24T14:15:22Z",
          "updated_at": "2019-08-24T14:15:22Z"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "total_pages": 0,
  "total_items": 0
}